# Class CloseReason

java.lang.Object
jakarta.websocket.CloseReason

public class CloseReason extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`CloseReason.CloseCode`
`static enum`
`CloseReason.CloseCodes`

## Constructor Summary

Constructors
Constructor
Description
`CloseReason(CloseReason.CloseCode closeCode, String reasonPhrase)`

## Method Summary

Modifier and Type
Method
Description
`CloseReason.CloseCode`
`getCloseCode()`
`String`
`getReasonPhrase()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CloseReason

public CloseReason(CloseReason.CloseCode closeCode, String reasonPhrase)

## Method Details

### getCloseCode

public CloseReason.CloseCode getCloseCode()

### getReasonPhrase

public String getReasonPhrase()

### toString

public String toString()

Overrides:
  `toString` in class `Object`